Skip to content

Given a debug log ID, download all of this debug log’s files.

GET/api/{version}/logs/code/debug/{id}/files
NameDescription
Acceptapplication/json
NameDescription
{id}The ID of the debug log to download.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/logs/code/debug/0LS000000003006/files
Content-Type: application/zip;charset=UTF-8 Content-Disposition: attachment;filename="vaultjavasdk_61603_debuglogs_12-18-2024.zip"

On SUCCESS, Vault begins a download of the files for the specified debug log. The files are packaged in a ZIP file with the file name: vaultjavasdk_{user_id}_debuglogs_{MM-DD-YYYY}.zip.

The HTTP Response Header Content-Type is set to application/zip;charset=UTF-8. The HTTP Response Header Content-Disposition contains a filename component which can be used when naming the local file.